import 'package:domain/entity/comm_payment_detail_entity.dart';

class PaymentSuccessState {
  CommPaymentDetailEntity? paymentDetail;

  PaymentSuccessState({
    this.paymentDetail,
  });

  PaymentSuccessState copyWith({
    CommPaymentDetailEntity? detail,
  }) {
    return PaymentSuccessState(
      paymentDetail: detail ?? this.paymentDetail,
    );
  }
}
